Skip to main content
POST
/
v1
/
connector-instances
/
{connectorInstanceId}
/
discovery
/
apply
Apply GitHub discovery selection
curl --request POST \
  --url https://api.openworklabs.com/v1/connector-instances/{connectorInstanceId}/discovery/apply \
  --header 'Content-Type: application/json' \
  --data '
{
  "selectedKeys": [
    "<string>"
  ],
  "autoImportNewPlugins": false
}
'
import requests

url = "https://api.openworklabs.com/v1/connector-instances/{connectorInstanceId}/discovery/apply"

payload = {
"selectedKeys": ["<string>"],
"autoImportNewPlugins": False
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({selectedKeys: ['<string>'], autoImportNewPlugins: false})
};

fetch('https://api.openworklabs.com/v1/connector-instances/{connectorInstanceId}/discovery/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "item": {
    "autoImportNewPlugins": true,
    "connectorInstance": {
      "id": "<string>",
      "organizationId": "<string>",
      "connectorAccountId": "<string>",
      "connectorType": "github",
      "remoteId": "<string>",
      "name": "<string>",
      "instanceConfigJson": {},
      "lastSyncedAt": "2023-11-07T05:31:56Z",
      "lastSyncCursor": "<string>",
      "createdByOrgMembershipId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "connectorTarget": {
      "id": "<string>",
      "connectorInstanceId": "<string>",
      "connectorType": "github",
      "remoteId": "<string>",
      "targetKind": "repository_branch",
      "externalTargetRef": "<string>",
      "targetConfigJson": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "createdPlugins": [
      {
        "id": "<string>",
        "organizationId": "<string>",
        "name": "<string>",
        "description": "<string>",
        "createdByOrgMembershipId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "deletedAt": "2023-11-07T05:31:56Z",
        "memberCount": 4503599627370495,
        "marketplaces": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ]
      }
    ],
    "createdMappings": [
      {
        "id": "<string>",
        "connectorInstanceId": "<string>",
        "connectorTargetId": "<string>",
        "connectorType": "github",
        "remoteId": "<string>",
        "selector": "<string>",
        "pluginId": "<string>",
        "autoAddToPlugin": true,
        "mappingConfigJson": {},
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "materializedConfigObjects": [
      {
        "id": "<string>",
        "organizationId": "<string>",
        "title": "<string>",
        "description": "<string>",
        "searchText": "<string>",
        "currentFileName": "<string>",
        "currentFileExtension": "<string>",
        "currentRelativePath": "<string>",
        "createdByOrgMembershipId": "<string>",
        "connectorInstanceId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "deletedAt": "2023-11-07T05:31:56Z",
        "latestVersion": {
          "id": "<string>",
          "configObjectId": "<string>",
          "schemaVersion": "<string>",
          "normalizedPayloadJson": {},
          "rawSourceText": "<string>",
          "createdByOrgMembershipId": "<string>",
          "connectorSyncEventId": "<string>",
          "sourceRevisionRef": "<string>",
          "isDeletedVersion": true,
          "createdAt": "2023-11-07T05:31:56Z"
        }
      }
    ],
    "sourceRevisionRef": "<string>",
    "createdMarketplace": {
      "id": "<string>",
      "organizationId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "createdByOrgMembershipId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "pluginCount": 4503599627370495
    }
  }
}
{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

connectorInstanceId
string<typeid>
required

Den TypeID with 'cin_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cin_.*

Body

application/json
selectedKeys
string[]
required
Maximum array length: 200
Required string length: 1 - 255
autoImportNewPlugins
boolean
default:false

Response

GitHub discovery selection applied successfully.

ok
boolean
required
item
object
required